#
# spec file for package gconfmm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gconfmm
Version:        2.28.3
Release:        lp150.2.1
Summary:        C++ Interface for GConf
License:        LGPL-2.1-or-later
Group:          System/GUI/GNOME
URL:            http://www.gtkmm.org/
Source:         http://download.gnome.org/sources/gconfmm/2.28/%{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(glibmm-2.4)

%description
This package provides a C++ interface for GConf. It is a subpackage of
the gnomemm project. The interface provides a convenient interface for
C++ programmers to use GConf with flexible object-oriented framework.

%package -n libgconfmm-2_6-1
Summary:        C++ Interface for GConf
Group:          System/Libraries
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}

%description -n libgconfmm-2_6-1
This package provides a C++ interface for GConf. It is a subpackage of
the gnomemm project. The interface provides a convenient interface for
C++ programmers to use GConf with flexible object-oriented framework.

%package devel
Summary:        C++ Interface for GConf
Group:          System/GUI/GNOME
Requires:       libgconfmm-2_6-1 = %{version}

%description devel
This package provides a C++ interface for GConf. It is a subpackage of
the gnomemm project. The interface provides a convenient interface for
C++ programmers to use GConf with flexible object-oriented framework.

%prep
%setup -q

%build
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libgconfmm-2_6-1 -p /sbin/ldconfig
%postun -n libgconfmm-2_6-1 -p /sbin/ldconfig

%files -n libgconfmm-2_6-1
%license COPYING
%doc AUTHORS ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%doc %{_datadir}/doc/gconfmm-2.6/
%doc %{_datadir}/devhelp/books/gconfmm-2.6/
%{_includedir}/gconfmm-2.6/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/gconfmm-2.6/

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Apr 19 2016 zaitor@opensuse.org
- Stop exporting CFLAGS and CXXFLAGS, no longer needed due to
  changes in libsigc++.
* Thu Aug 20 2015 zaitor@opensuse.org
- Export CFLAGS="%%{optflags} -std=c++11" and CXXFLAGS="%%{optflags}
  - std=c++11". Fix build with updated MM stack.
* Sat Sep 21 2013 dimstar@opensuse.org
- Change RPM Group of shared library package to System/Libraries.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 2.28.3:
  + Fix documentation build with glibmm 2.28 and later
    (bgo#648860).
- Change <= in Obsoletes to < now that we have a new upstream
  version.
- Stop passing --disable-documentation to configure: the
  documentation build system now works again.
* Thu Apr 28 2011 vuntz@opensuse.org
- Create a libgconfmm-2_6-1 subpackage that has gconfmm
  Provides/Obsoletes, as per shared library packaging policy.
- Pass --disable-documentation to configure: this tarball was
  generated with an old documentation setup that won't build
  nowadays. See bgo#648860.
- Improve summaries.
- Drop explicit Requires of gconf2-devel, glibmm2-devel,
  gtkmm2-devel in devel subpackage: they will automatically be
  added the pkgconfig way.
- Move to pkgconfig()-style BuildRequires:
  + Old ones: gconf2-devel, gtkmm2-devel.
  + New ones: gconf-2.0, glibmm-2.4 (gtkmm is not needed).
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 2.28.2:
  + Fix the broken pkg-config file, broken in 2.28.1
- Changes from version 2.28.1:
  + Build: use mm-common, like the other *mm modules
  + Documentation: Add a main page.
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 2.28.0:
  + Fixed the build with the latest gmmproc.
- Changes from version 2.26.0:
  + Cleaned up glib includes to use only toplevel headers.
    bgo#564214
* Sat Aug 29 2009 vuntz@novell.com
- Remove AutoReqProv: it's default now.
- Remove update-desktop-files BuildRequires.
- Pass --disable-static to configure.
- Use makeinstall macro.
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + Updated version to match gnome 2.24.
  + Added recursive_unset(). Fixes bgo#549158.
  + Added notify()
* Mon Mar 31 2008 vuntz@suse.de
- Update to version 2.22.0:
  + Fixed Windows build.
* Tue Jan 29 2008 maw@suse.de
- Remove libtool archives.
* Mon Sep 17 2007 maw@suse.de
- Update to version 2.20.0:
  + Cosmetic version bump.
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun.
* Tue Sep 11 2007 mauro@suse.de
- Update to version 2.18.1
  + SetInterface.h: Use #pragma GCC system_header
  to supress warnings about the lack of a virtual destructor.
  (Martin Ejdestig, Bug #460969)
  + Build: Check for both m4 and M4 in the GNU m4 output,
  to fix the build on some platforms.
  (Yselkowitz , Bug #423990)
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.18.0:
  + Cosmetic version bump.
* Tue Jan 16 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Wed Nov 29 2006 sbrabec@suse.cz
- Require new package names gtkmm2-devel and glibmm2-devel.
* Fri Sep 15 2006 jhargadon@suse.de
- update to version 2.16.0
- Fixed build when using --enable-api-exceptions=no with glibmm
- Fix the regular build
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep  7 2005 sbrabec@suse.cz
- Updated to version 2.12.0 (GNOME 2.12).
* Thu Aug  4 2005 sbrabec@suse.cz
- Fixed devel dependencies.
* Thu Aug  4 2005 sbrabec@suse.cz
- Updated to version 2.10.0 (2.6 compatible branch).
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Thu Apr 14 2005 sbrabec@suse.cz
- Fixed cast from pointer to integer.
* Mon Feb 21 2005 sbrabec@suse.cz
- Updated to version 2.0.2.
* Fri Feb 11 2005 ro@suse.de
- change to libsigc++12 in neededforbuild
* Tue Feb 17 2004 sbrabec@suse.cz
- Set CXXFLAGS properly.
* Tue Feb 17 2004 sbrabec@suse.cz
- Initial SuSE package version 2.0.1.
